/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* FOOTER CTA ROW */
/* hide on contact page */
body.page-id-29 #footer-book-cta-row { display: none;}


/* MAIN MENU */
@media screen and (max-width: 1023px) {
	#main-menu a.hfe-menu-item,
	#main-menu a.hfe-sub-menu-item { font-size: 30px !important;}
}
@media screen and (min-width: 1024px) {
	#logo-header img { position: absolute; top: 30px; left: 30px; width:200px;}
	#main-menu a.hfe-menu-item,
	#main-menu a.hfe-sub-menu-item { font-size: 1.4vw !important;}
}
@media screen and (min-width: 1200px) {
	#logo-header img { width:300px;}
	#main-menu a.hfe-menu-item,
	#main-menu a.hfe-sub-menu-item { font-size: 1.2vw !important;}
}


/* HOME PAGE CARDS */

*, *:before, *:after {
  box-sizing: inherit;
}
img {
  max-width: 100%;
  height: auto;
}

.card-hover {
  width: 22vw;
  height: 600px;
  position: relative;
  overflow: hidden;
  box-shadow: 0 0 32px -10px rgba(0, 0, 0, 0.08);
}

@media screen and (max-width: 1023px) {
	.card-hover {
		width: 80vw;
		height: 550px;
	}
}



.card-hover:has(.card-hover__link:hover) .card-hover__extra {
  transform: translateY(0);
  transition: transform 0.35s;
}
.card-hover:hover .card-hover__content {
  background-color: #dee8c2;
  bottom: 100%;
  transform: translateY(100%);
  padding: 50px 60px;
  transition: all 0.35s cubic-bezier(0.1, 0.72, 0.4, 0.97);
}
.card-hover:hover .card-hover__link {
  opacity: 1;
  transform: translate(-50%, 0);
  transition: all 0.3s 0.35s cubic-bezier(0.1, 0.72, 0.4, 0.97);
}
.card-hover:hover img {
  transform: scale(1);
  transition: 0.35s 0.1s transform cubic-bezier(0.1, 0.72, 0.4, 0.97);
}
.card-hover__content {
  width: 100%;
  text-align: center;
  background-color: #86b971;
  padding: 0 60px 50px;
  position: absolute;
  bottom: 0;
  left: 0;
  transform: translateY(0);
  transition: all 0.35s 0.35s cubic-bezier(0.1, 0.72, 0.4, 0.97);
  will-change: bottom, background-color, transform, padding;
  z-index: 1;
}
.card-hover__content::before, .card-hover__content::after {
  content: "";
  width: 100%;
  height: 120px;
  background-color: inherit;
  position: absolute;
  left: 0;
  z-index: -1;
}
.card-hover__content::before {
  top: -80px;
  clip-path: ellipse(60% 80px at bottom center);
}
.card-hover__content::after {
  bottom: -80px;
  clip-path: ellipse(60% 80px at top center);
}


.card-hover__title,
.card-hover__subtitle, 
.card-hover__text,
.card-hover__bottom-text { color: #ffffff;}


.card-hover__title {
  font-size: 1.9rem;
  margin-bottom: 10px;
	font-family: "EB Garamond", Sans-serif;
	text-transform: uppercase;
}
.card-hover__subtitle {
  font-size: 1.1rem;
  margin-bottom: 10px;
}



.card-hover__text {
  	font-size: 0.9rem;
}
.card-hover__bottom-text {
	font-size: 1.2rem;
	margin-top:40px;
}




.card-hover__link {
  position: absolute;
  bottom: 1rem;
  left: 50%;
  transform: translate(-50%, 10%);
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  text-decoration: none;
  color: #ffffff;
  opacity: 0;
  padding: 10px;
  transition: all 0.35s;
}
.card-hover__link:hover svg {
  transform: translateX(4px);
}
.card-hover__link svg {
  width: 18px;
  margin-left: 4px;
  transition: transform 0.3s;
}
.card-hover__extra {
  height: 100%;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: end;
  flex-direction: column;
  width: 100%;
  font-size: 1.5rem;
  text-align: center;
  background-color: #86b971;
  padding: 20px;
  bottom: 0;
  z-index: 0;
  color: #dee8c2;
  transform: translateY(100%);
  will-change: transform;
  transition: transform 0.35s;
}
.card-hover__extra span {
  color: #2d7f0b;
}


.card-hover img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top;
  z-index: -1;
/*
  transform: scale(1.2);
  transition: 0.35s 0.35s transform cubic-bezier(0.1, 0.72, 0.4, 0.97);
*/

}

#card-one img { background-color: #d5d5cd;} /* BEAR */
#card-two img { background-color: #593633;} /* ELK */
#card-three img { background-color: #e9e9e9;} /* COUGAR */
#card-four img { background-color: #8ca46a;} /* LODGING */

#card-one .card-hover__content { background-color: #573717;}
#card-two .card-hover__content { background-color: #3f3826;}
#card-three .card-hover__content { background-color: #1f393a;}
#card-four .card-hover__content { background-color: #053a4a;}

#card-one .card-hover__extra {background-color: #442a0f;}
#card-two .card-hover__extra {background-color: #2e281a;}
#card-three .card-hover__extra {background-color: #162a2b;}
#card-four .card-hover__extra {background-color: #032d3a;}

#card-one a:hover,
#card-two a:hover,
#card-three a:hover,
#card-four a:hover { color: #ffffff;}

@media screen and (min-width: 1024px) {
	.card-hover__content,
	.card-hover:hover .card-hover__content { padding: 0 20px 50px;}
	
	.card-hover__title { font-size: 1.4rem;}
	.card-hover__subtitle { font-size: 1.1rem; margin-bottom:40px;}		
	
	.card-hover__text { font-size: 0.9rem; }
	.card-hover__bottom-text { font-size: 1.2rem;}

}

@media screen and (min-width: 1200px) {
	.card-hover__content,
	.card-hover:hover .card-hover__content { padding: 0 20px 50px;}
	
	.card-hover__title { font-size: 1.9rem;}
	.card-hover__subtitle { font-size: 1.1rem;}	
	
	.card-hover__text { font-size: 0.9rem; }
	.card-hover__bottom-text { font-size: 1.2rem; margin-top:40px;}
	
}





